API reference
List chains and featured tokens
GET
/v2/swaps/assetsList available swap chains and featured assets.
Authentication: None. This route is public.
#Response
200 returns an object with:
chains· array of object · requiredid· integer · required — Non-negative integer chain identifier.key· string · requiredname· string · requiredlogoURI· string
sourceChainIds· array of integer · requireddestinationChainIds· array of integer · requiredfeaturedTokens· array of object · requiredaddress· string · requiredsymbol· string · requireddecimals· integer (0–36) · requiredchainId· integer · required — Non-negative integer chain identifier.name· string · requiredlogoURI· stringpriceUSD· string
catalogStale· boolean
Errors use the standard error envelope: branch on code, never on the message.
#Example
curl
curl 'https://api-beta.wagyu.xyz/v2/swaps/assets'JavaScript
const res = await fetch('https://api-beta.wagyu.xyz/v2/swaps/assets'
);
const data = await res.json();Python
import requests
res = requests.get('https://api-beta.wagyu.xyz/v2/swaps/assets', timeout=30)
data = res.json()Response · 200 · captured 4 Nov 2026, 08:24 UTC
{
"chains": [
{
"id": 0,
"key": "monero",
"name": "Monero",
"logoURI": "/XMR.svg"
},
{
"id": 133,
"key": "zcash",
"name": "Zcash",
"logoURI": "/ZEC.svg"
},
{
"id": 1,
"key": "eth",
"name": "Ethereum",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/ethereum.svg"
},
{
"id": 42161,
"key": "arb",
"name": "Arbitrum",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/arbitrum.svg"
},
{
"id": 8453,
"key": "bas",
"name": "Base",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/base.svg"
},
{
"id": 56,
"key": "bsc",
"name": "BSC",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/bsc.svg"
},
{
"id": 999,
"key": "hyp",
"name": "HyperEVM",
"logoURI": "/HYPE.png"
},
{
"id": 4663,
"key": "out",
"name": "Robinhood Chain",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/robinhood.svg"
},
{
"id": 5042,
"key": "arc",
"name": "Arc",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/arc.svg"
},
{
"id": 1151111081099710,
"key": "sol",
"name": "Solana",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/solana.svg"
},
{
"id": 20000000000001,
"key": "btc",
"name": "Bitcoin",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/bitcoin.svg"
},
{
"id": 728126428,
"key": "trn",
"name": "Tron",
"logoURI": "https://lifinance.github.io/types/src/assets/icons/chains/tron.svg"
},
{
"id": 1337,
"key": "hpl",
"name": "Hyperliquid",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/hyperliquid.svg"
},
{
"id": 784,
"key": "sui",
"name": "Sui",
"logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/sui.svg"
}
],
"sourceChainIds": [
0,
133,
1,
42161,
8453,
56,
999,
4663,
5042,
1151111081099710,
20000000000001,
728126428
],
"destinationChainIds": [
0,
133,
1,
42161,
8453,
56,
999,
4663,
5042,
1151111081099710,
20000000000001,
728126428,
1337,
784
],
"featuredTokens": [
{
"address": "XMR",
"symbol": "XMR",
"decimals": 12,
"chainId": 0,
"name": "Monero",
"logoURI": "/XMR.svg"
},
{
"address": "ZEC",
"symbol": "ZEC",
"decimals": 8,
"chainId": 133,
"name": "Zcash",
"logoURI": "/ZEC.svg"
},
{
"address": "bitcoin",
"symbol": "BTC",
"decimals": 8,
"chainId": 20000000000001,
"name": "Bitcoin",
"logoURI": "https://assets.coingecko.com/coins/images/1/standard/bitcoin.png",
"priceUSD": "77900.65868649974"
}
],
"catalogStale": false
}